import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:trans_lark/page/splash/splash_controller.dart';

class SplashView extends StatelessWidget {
  SplashView({super.key});

  final controller = Get.find<SplashController>();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          // _buildImageBg(),
          _buildProgress(),
        ],
      ),
    );
  }

  // Widget _buildImageBg() {
  //   return Image.asset(
  //     Assets.sideALaunchImage,
  //     width: ,
  //     height: ,
  //     fit: BoxFit.cover,
  //   );
  // }

  Widget _buildProgress() {
    return Container(
      alignment: Alignment.center,
      margin: const EdgeInsets.only(bottom: 60),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.end,
        children: [
          SizedBox(
            width: 0.5,
            child: Obx(() {
              return LinearProgressIndicator(
                value: controller.processValue.value,
                backgroundColor: Colors.white,
                valueColor: const AlwaysStoppedAnimation<Color>(Color.fromARGB(255, 185, 239, 200)),
                borderRadius: BorderRadius.circular(8),
              );
            }),
          ),
          const SizedBox(height: 14),
          const Text(
            'Resource Loading...',
            style: TextStyle(
              color: Colors.white,
              fontSize: 12,
              fontWeight: FontWeight.w500,
            ),
          ),
        ],
      ),
    );
  }
}
